#!/bin/bash

# 默认构建命令
build_command="cmake -Bbuild -DCMAKE_BUILD_TYPE=Release"
build_command_release="cmake --build build --config Release"

# 检查是否传入 -ish 参数
if [[ "$1" == "-ish" ]]; then
  build_command="$build_command -DIOS_ISH=True"
fi

# 执行命令
$build_command
$build_command_release
